## org.eclipse.emf.ecore.xml.type.util
Class XMLTypeResourceImpl.DataFrame

    java.lang.Object
      org.eclipse.emf.ecore.xml.type.util.XMLTypeResourceImpl.StackFrame
          org.eclipse.emf.ecore.xml.type.util.XMLTypeResourceImpl.DataFrame

Enclosing class:
  XMLTypeResourceImpl

    public static class XMLTypeResourceImpl.DataFrame

extends XMLTypeResourceImpl.StackFrame

Field Summary
`protected java.lang.StringBuffer` `stringBuffer`

Constructor Summary
`XMLTypeResourceImpl.DataFrame()`

Method Summary
`void` `characters(char[] text, int start, int length)`
`java.lang.String` `popValue()`

Methods inherited from class org.eclipse.emf.ecore.xml.type.util.XMLTypeResourceImpl.StackFrame
`create, endElement, endElement, handleAttributes, pop, pushOnto, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stringBuffer

    protected java.lang.StringBuffer stringBuffer

Constructor Detail

### XMLTypeResourceImpl.DataFrame

    public XMLTypeResourceImpl.DataFrame()

Method Detail

### characters

    public void characters(char[] text,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Overrides:
    `characters` in class `XMLTypeResourceImpl.StackFrame`
  Throws:
    `org.xml.sax.SAXException`

### popValue

    public java.lang.String popValue()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.